module.exports = function(grunt) {
    require('load-grunt-tasks')(grunt);
    require('time-grunt')(grunt);

    // Options
    var options = {
        config: {
            src: "grunt-config/*.js"
        },
        paths: {
            frontend_js: [
                'accountant/frontend/static/js/app.js',
                'accountant/frontend/static/js/accounts.js',
                'accountant/frontend/static/js/months.js',
                'accountant/frontend/static/js/entries.js',
                'accountant/frontend/static/js/scheduler.js'
            ],
            frontend_build: 'accountant/frontend/static/build'
        },
        pkg: grunt.file.readJSON('package.json'),
        banner: '/*! <%= pkg.name %> <%= grunt.template.today("dd-mm-yyyy") %>\n'+
          '* Copyright (c) <%= grunt.template.today("yyyy") %> <%= pkg.author %> */\n',
    };

    var configs = require('load-grunt-configs')(grunt, options);
    grunt.initConfig(configs);

    grunt.registerTask('generatestatic', [
        'shell:npm_install',
        'bower:install',
        'bower_concat',
        'copy:bootstrap-select.css.map',
        //'copy:fontawesome-webfont.woff2',
        //'copy:fontawesome-webfont.woff',
        'copy:fontawesome-webfont.ttf'
    ]);

    grunt.registerTask('jsdev', [
        'jshint',
        'concat'
    ]);

    grunt.registerTask('dev', [
        'generatestatic',
        'jsdev'
    ]);
};
